OGRE: Ogre::TexCoordModifierControllerValue Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TexCoordModifierControllerValue Class Reference
Core » General

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates). More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TexCoordModifierControllerValue:
[legend]

## Public Member Functions
| TexCoordModifierControllerValue (TextureUnitState *t, bool translateU=false, bool translateV=false, bool scaleU=false, bool scaleV=false, bool rotate=false)
| Constructor. More...
Real | getValue (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setValue (Real value)

## Detailed Description

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates).

Remarks
  Effects can be applied to the scale or the offset of the u or v coordinates, or both. If separate modifications are required to u and v then 2 instances are required to control both independently, or 4 if you want separate u and v scales as well as separate u and v offsets.

  Because of the nature of this value, it can accept values outside the 0..1 parametric range.

## Constructor & Destructor Documentation

## ◆ TexCoordModifierControllerValue()

Ogre::TexCoordModifierControllerValue::TexCoordModifierControllerValue | ( | TextureUnitState * | t,
|  | bool | translateU = `false`,
|  | bool | translateV = `false`,
|  | bool | scaleU = `false`,
|  | bool | scaleV = `false`,
|  | bool | rotate = `false`
| ) |  |

Constructor.

Parameters

  t | TextureUnitState to apply the modification to.
  translateU | If true, the u coordinates will be translated by the modification.
  translateV | If true, the v coordinates will be translated by the modification.
  scaleU | If true, the u coordinates will be scaled by the modification.
  scaleV | If true, the v coordinates will be scaled by the modification.
  rotate | If true, the texture will be rotated by the modification.

## Member Function Documentation

## ◆ getValue()

Real Ogre::TexCoordModifierControllerValue::getValue | ( | void |  | ) | const
| virtual

Implements Ogre::ControllerValue< Real >.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setValue()

void Ogre::TexCoordModifierControllerValue::setValue | ( | Real | value | ) |
| virtual

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h